> ## Documentation Index
> Fetch the complete documentation index at: https://developer.onecodex.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Samples in a Sequencing Batch

GET all samples in given Sequencing Batch. Returns a paginated list of objects including the `tube_barcode` and the `sample` resource.


## OpenAPI

````yaml GET /api/v1/sequencing/batches/{id}/samples
openapi: 3.1.0
info:
  description: >-
    The One Codex API (v1) -- programmatic access to One Codex's suite of
    microbial genomics data storage, analysis, and query tools.
  title: One Codex API (v1)
  version: v1
servers:
  - url: https://app.onecodex.com
security:
  - apiKeyAuth: []
paths:
  /api/v1/sequencing/batches/{id}/samples:
    get:
      summary: GET sequencing batches_samples
      operationId: get_sequencing_batches_samples
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  properties:
                    sample:
                      description: >-
                        The sample object associated with the tube barcode. Note
                        this may be in a pending upload state if the lab has not
                        finished processing the physical sample.
                      properties:
                        __DOLLAR_REF__:
                          example: /api/v1/samples/a1b2c3d4e5f67890
                          format: uri
                          pattern: ^/api/v1/samples/[a-f0-9]{16}$
                          type: string
                      type: object
                    tube_barcode:
                      description: The tube barcode for the sample sent to the lab.
                      title: Tube Barcode
                      type: string
                  required:
                    - sample
                    - tube_barcode
                  title: SequencingBatchSamplesResponse
                  type: object
                type: array
          description: OK
components:
  securitySchemes:
    apiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.